.table_wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: auto;
    // width: 60vw;
    .title_area {
        display: flex;
        align-items: center;
        .line {
            width: 22px;
            height: 4px;
            background: #00e8b0;
            transform: rotate(-90deg);
            margin-right: 13px;
        }

        .title {
            font-family: Kanit;
            font-style: normal;
            font-weight: 500;
            font-size: 24px;
            line-height: 36px;
            /* identical to box height */

            color: #fbfbfb;
        }
    }

    .search_area {
        margin-top: 32px;
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 28px;
        .search_filter {
            display: flex;
            .search_bar {
                width: 319px;
                height: 40px;
                background: #242731;
                border-radius: 8px;
                display: flex;
                align-items: center;
                outline: whitesmoke;
                &.focus {
                    border: 1px solid whitesmoke;
                }
                input {
                    background: transparent;
                    height: 100%;
                    flex-grow: 1;
                    border: none;
                    margin-left: 20px;
                    outline: none;
                    color: #fff;
                }
                ::placeholder {
                    /* Chrome, Firefox, Opera, Safari 10.1+ */
                    color: #97a3b4;
                    opacity: 1; /* Firefox */
                }

                :-ms-input-placeholder {
                    /* Internet Explorer 10-11 */
                    color: #97a3b4;
                }

                ::-ms-input-placeholder {
                    /* Microsoft Edge */
                    color: #97a3b4;
                }
                .button_search {
                    background: #1d2028;
                    border-radius: 8px;
                    width: 32px;
                    height: 32px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin: 4px;
                    cursor: pointer;
                }
            }
            .type_select {
                margin-left: 10px;
                .form-select {
                    width: 127px;
                    height: 40px;
                    border-radius: 8px;
                }
            }
            .wol_ken_select {
                margin-left: 10px;
                .form-select {
                    width: 127px;
                    height: 40px;
                    border-radius: 8px;
                }
            }
        }
        .titleDate {
            font-family: Kanit;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 21px;
            /* identical to box height */

            /* WHITE */

            color: #d8e2ea;
            display: none;
        }
        .date_filter {
            display: flex;
            align-items: center;
            .title {
                font-family: Kanit;
                font-style: normal;
                font-weight: normal;
                font-size: 14px;
                line-height: 21px;
                /* identical to box height */

                /* WHITE */

                color: #d8e2ea;
            }

            .from {
                margin-left: 10px;
                .form-select {
                    width: 127px;
                    height: 40px;
                    border-radius: 8px;
                }
            }

            .to {
                margin-left: 10px;

                .form-select {
                    width: 127px;
                    height: 40px;
                    border-radius: 8px;
                }
            }
        }
    }

    .table_area {
        table {
            font-family: Kanit;
            font-style: normal;
            font-weight: normal;
            font-size: 14px;
            line-height: 21px;
            border: 1px solid #353645;
            min-width: 800px;
            thead {
                color: #d8e2ea;
                background: #242731;
                /* Line */

                border: 1px solid #353645;
                box-sizing: border-box;
                height: 48px;
                text-transform: capitalize;
                th {
                    // &.sticky {
                    //     position: sticky;
                    //     top: 0;
                    //     left: 0;
                    //     z-index: 999;
                    //     background-color: #242731;
                    // }
                }
            }
            tbody {
                tr {
                    box-shadow: 0px 1px 0px #24272e;
                    &:hover {
                        opacity: 0.8;
                        background-color: #242731;
                    }
                    td {
                        color: #97a3b4;
                        &.capital {
                            text-transform: capitalize;
                        }
                        border: none;
                        height: 48px;
                        padding-top: 15px;
                        
                        // &.sticky {
                        //     position: sticky;
                        //     top: 0;
                        //     left: 0;
                        //     z-index: 999;
                        //     background-color: transparent;
                        //     border-bottom: 1px solid #24272e;
                        //     /* margin-top: 43px; */
                        //     padding-bottom: 11px;
                        // }
                    }
                    .spec {
                        color: #2bd9ff;
                        cursor: pointer;
                    }
                }
                th {
                    color: #2bd9ff;
                }
            }
        }
    }
}
::ng-deep .page-item.active .page-link {
    background-color: #242731 !important;
    color: #2bd9ff;
}

::ng-deep .page-item .page-link {
    background-color: #242731 !important;
    color: #d8e2ea;
}

::ng-deep .pagi {
    a {
        background-color: #242731 !important;
        border: 1px solid #353645 !important;
    }
}

::ng-deep .custom-select {
    background-color: #242731;
    border: 1px solid #353645;
    padding: 3px;
    color: #d8e2ea;
    max-height: 35px;
    border-radius: 5px;
}

@media screen and (max-width: 1700px) {
    .table_wrapper {
        width: 70vw !important;
    }
}

@media screen and (max-width: 1415px) {
    .table_wrapper {
        width: 80vw !important;
    }
}

@media screen and (max-width: 1250px) {
    .table_wrapper {
        width: 90vw !important;
    }
}

@media screen and (max-width: 1096px) {
    .table_wrapper {
        width: 90vw !important;
        padding: 10px;
        .search_area {
            flex-direction: column;
            align-items: flex-start;
            .titleDate {
                display: block;
                margin-top: 10px;
                margin-bottom: 10px;
                margin-left: 10px;
            }
            .search_filter {
                margin-left: 10px;
            }
            .date_filter {
                .title {
                    display: none;
                }
            }
        }
    }
}

@media screen and (max-width: 890px) {
    .table_wrapper {
        .table_area {
            table {
                thead {
                    th {
                        &.sticky {
                            position: sticky;
                            top: 0;
                            left: 0;
                            z-index: 999;
                            background-color: #242731;
                        }
                    }
                }
                tbody {
                    tr {
                        td {
                            &.sticky {
                                position: sticky;
                                top: 0;
                                left: 0;
                                z-index: 999;
                                background-color: #1c1e26;
                                border-bottom: 1px solid #24272e;
                                /* margin-top: 43px; */
                                padding-bottom: 11px;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 650px) {
    .table_wrapper {
        .search_area {
            .search_filter {
                margin-left: 10px;
                flex-direction: column;
                .type_select {
                    margin-top: 10px;
                    margin-left: 0;
                }

                .wol_ken_select {
                    margin-left: 0;
                    margin-top: 10px;
                }
            }
        }
    }
}

@media screen and (max-width: 390px) {
    .card_asset_wrapper {
        max-width: 300px;
        margin: 0;
        margin-top: 15px;
    }
}
